
Ruby - Bug #18288

Getting error while installing Pod

11/05/2021 06:34 AM - Ritesh8313 (Ritesh Deopa)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.6: UNKNOWN, 2.7: UNKNOWN, 3.0:

UNKNOWN

Description

Getting below error while installing Pod.

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

Related issues:

Is duplicate of Ruby - Bug #18071: Bug in ruby interpreter or extension library Third Party's Issue

Is duplicate of Ruby - Bug #17862: You may have encountered a bug in the Ruby... Third Party's Issue

Is duplicate of Ruby - Bug #17922: pod install 'Firebase/Auth' results in [BU... Third Party's Issue

Is duplicate of Ruby - Bug #17988: pod update on Mac mini M1 with Big Sur aft... Third Party's Issue

Has duplicate Ruby - Bug #18333: /Library/Ruby/Gems/2.6.0/gems/ethon-0.15.0/l... Rejected

Has duplicate Ruby - Bug #18386: bash-3.2$ pod install / GRDB on OSX 12.01. M... Third Party's Issue

Has duplicate Ruby - Bug #18466: Im receiving an error when attempting to dow... Third Party's Issue

History

#1 - 11/05/2021 07:00 AM - mame (Yusuke Endoh)

- Status changed from Open to Third Party's Issue

I think this is the same issue as #17862, #17922, #17988, and #18071. See also https://github.com/typhoeus/ethon/issues/193.

#2 - 11/05/2021 07:00 AM - mame (Yusuke Endoh)

- Is duplicate of Bug #18071: Bug in ruby interpreter or extension library added

#3 - 11/05/2021 07:00 AM - mame (Yusuke Endoh)

- Is duplicate of Bug #17862: You may have encountered a bug in the Ruby interpreter or extension libraries. added

#4 - 11/05/2021 07:01 AM - mame (Yusuke Endoh)

- Is duplicate of Bug #17922: pod install 'Firebase/Auth' results in [BUG] Bus Error added

#5 - 11/05/2021 07:01 AM - mame (Yusuke Endoh)

- Is duplicate of Bug #17988: pod update on Mac mini M1 with Big Sur after moving project from iMac. Xcode 12.4 added

#6 - 11/15/2021 01:44 AM - hsbt (Hiroshi SHIBATA)

- Has duplicate Bug #18333: /Library/Ruby/Gems/2.6.0/gems/ethon-0.15.0/lib/ethon/curls/classes.rb:36: [BUG] Illegal instruction at

0x0000000104978000 added

#7 - 01/09/2022 08:30 AM - mame (Yusuke Endoh)

- Has duplicate Bug #18386: bash-3.2$ pod install / GRDB on OSX 12.01. Monterey / M1 Max added

#8 - 01/09/2022 08:30 AM - mame (Yusuke Endoh)

- Has duplicate Bug #18466: Im receiving an error when attempting to download RealmSwift Pods  added
